## org.mortbay.jetty
Interface HttpContent

All Known Implementing Classes:
  ResourceCache.Content

    public interface HttpContent

HttpContent.

Author:
  gregw

Method Summary
`Buffer` `getBuffer()`
`long` `getContentLength()`
`Buffer` `getContentType()`
`InputStream` `getInputStream()`
`Buffer` `getLastModified()`
`Resource` `getResource()`
`void` `release()`

Method Detail

### getContentType

    Buffer getContentType()

### getLastModified

    Buffer getLastModified()

### getBuffer

    Buffer getBuffer()

### getResource

    Resource getResource()

### getContentLength

    long getContentLength()

### getInputStream

    InputStream getInputStream()
                               throws IOException

  Throws:
    `IOException`

### release

    void release()

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.